Search Unity

  1. Unity 2019.2 is now released.
    Dismiss Notice

State of Apple appstore warning ITMS-90809: Deprecated API Usage for UIWebView APIs ?

Discussion in 'iOS and tvOS' started by TimHeijden2, Oct 17, 2019.

  1. TimHeijden2

    TimHeijden2

    Joined:
    Aug 11, 2016
    Posts:
    21
    When uploading to the appstore with unity 2018.4 we have been experiencing the following warning:

    "
    ITMS-90809: Deprecated API Usage - Apple will stop accepting submissions of apps that use UIWebView APIs . See https://developer.apple.com/documentation/uikit/uiwebview for more information.
    "

    There has been an issue reported about this before, which shows the issue should now be fixed:
    https://issuetracker.unity3d.com/is...en-submitting-builds-to-the-app-store-connect

    As you can see in the comments however, developers are still experiencing issues even with the latest unity 2018.4 and 2019.2 versions.

    Can we get a clarification on when this fix should be in for 2018 (which we are using), or could it be that there is a new unknown reason for this warning still showing which is different from what you've fixed?
     
    karmington2 likes this.
  2. jasjenl

    jasjenl

    Joined:
    Oct 13, 2016
    Posts:
    3
    Is anyone from Unity actually reading this?
     
  3. Q-Ted

    Q-Ted

    Joined:
    Dec 16, 2016
    Posts:
    19